### Constructor

# Clutter BlitNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_blit_node_new (
      CoglFramebuffer* src
    )

#### Description [src]

Creates a new `ClutterBlitNode` that blits `src` into the current draw framebuffer.

You must only add rectangles using `clutter_blit_node_add_blit_rectangle()`.

#### Parameters

`src`

  Type: `CoglFramebuffer`

  The source `CoglFramebuffer`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterBlitNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.